spring.application.name=core-ifrs
server.port=8000

#server.ssl.key-alias=iconpln
#server.ssl.key-store-password=qwerty12345
#server.ssl.key-store=classpath:iconpln-keystore.jks

spring.jpa.hibernate.ddl-auto=none
spring.datasource.url=jdbc:mysql://localhost/db_ifrs?allowPublicKeyRetrieval=true&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Jakarta&zeroDateTimeBehavior=convertToNull
#spring.datasource.url=jdbc:mysql://localhost:8543/db_psak71?allowPublicKeyRetrieval=true&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Jakarta&zeroDateTimeBehavior=convertToNull

spring.datasource.username=root
#spring.datasource.password=
spring.datasource.password=@New2Password
#spring.datasource.password=P@ssw0rd#PSAK71

spring.jpa.show-sql=true
spring.jpa.hibernate.naming.physical-strategy=org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQLDialect

jwt.secret=hanif.albaaits.java

## MULTIPART (MultipartProperties)
# Enable multipart uploads
spring.servlet.multipart.enabled=true
# Threshold after which files are written to disk.
spring.servlet.multipart.file-size-threshold=2KB
# Max file size.
spring.servlet.multipart.max-file-size=200MB
# Max Request Size
spring.servlet.multipart.max-request-size=215MB

## File Storage Properties
# All files uploaded through the REST API will be stored in this directory

#file.path=/Volumes/LocalDisk/uploads/core-ifrs
#file.path_profile=/Volumes/LocalDisk/uploads/core-ifrs/profile
#file.path_input=/Volumes/LocalDisk/uploads/core-ifrs/input
#file.path_support=/Volumes/LocalDisk/uploads/core-ifrs/support

file.path=/apps/uploads/core-ifrs
file.path_profile=/apps/uploads/core-ifrs/profile
file.path_input=/apps/uploads/core-ifrs/input
file.path_support=/apps/uploads/core-ifrs/support